FilterImpl
Keywords: com.artenum.cassandra.pipeline.FilterImpl class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.artenum.cassandra.pipeline
Class FilterImpl

    java.lang.Object
      com.artenum.cassandra.pipeline.FilterImpl

All Implemented Interfaces:
  Filter

    public class FilterImpl

extends java.lang.Object
implements Filter

     Project ref           : CASSANDRA project
     Copyright and license : See relevant sections
     Status                : under development
     Creation              : 04/03/2005
     Modification          :

     Description  : Concrete class of the Filter

Version number | Author (name, e-mail) | Corrections/Modifications
0.1 | Sebastien Jourdain, jourdain@artenum.com | Creation

Version:
  0.1
Author:
  Sebastien Jourdain

Constructor Summary
`FilterImpl()`

Method Summary
`void` | `addRemoveListener(RemoveListener rl)`
`java.util.Collection` | `getInputActor()`
`java.util.Collection` | `getInputDataSet()`
`java.util.Collection` | `getInputMapper()`
`java.util.Collection` | `getOutputActor()`
`java.util.Collection` | `getOutputDataSet()`
`java.util.Collection` | `getOutputMapper()`
`void` | `remove()`
`void` | `removeRemoveListener(RemoveListener rl)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FilterImpl

    public FilterImpl()

Method Detail

### getInputDataSet

    public java.util.Collection getInputDataSet()

  Specified by:
    `getInputDataSet` in interface `Filter`

### getInputMapper

    public java.util.Collection getInputMapper()

  Specified by:
    `getInputMapper` in interface `Filter`

### getInputActor

    public java.util.Collection getInputActor()

  Specified by:
    `getInputActor` in interface `Filter`

### getOutputDataSet

    public java.util.Collection getOutputDataSet()

  Specified by:
    `getOutputDataSet` in interface `Filter`

### getOutputMapper

    public java.util.Collection getOutputMapper()

  Specified by:
    `getOutputMapper` in interface `Filter`

### getOutputActor

    public java.util.Collection getOutputActor()

  Specified by:
    `getOutputActor` in interface `Filter`

### addRemoveListener

    public void addRemoveListener(RemoveListener rl)

  Specified by:
    `addRemoveListener` in interface `Filter`

### remove

    public void remove()

  Specified by:
    `remove` in interface `Filter`

### removeRemoveListener

    public void removeRemoveListener(RemoveListener rl)

  Specified by:
    `removeRemoveListener` in interface `Filter`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

     (c) Copyright: Artenum SARL, 101-103 Boulevard Mac Donald,
                    75019, Paris, France 2005.
                    http://www.artenum.com

     License:

      This program is free software; you can redistribute it
      and/or modify it under the terms of the Q Public License;
      either version 1 of the License.

      This program is distributed in the hope that it will be
      useful, but WITHOUT ANY WARRANTY; without even the implied
      warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
      PURPOSE. See the Q Public License for more details.

      You should have received a copy of the Q Public License
      License along with this program;
      if not, write to:
        Artenum SARL, 101-103 Boulevard Mac Donald,
        75019, PARIS, FRANCE, e-mail: contact@artenum.com